%define name dar
%define version 2.4.11
%define release %mkrel 2
%define major 5
%define libname %mklibname dar %major
%define develname %mklibname -d dar

Summary:        Software for making/restoring incremental CD/DVD backups
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Archiving/Backup
License:        GPLv2+
URL:            http://dar.linux.free.fr/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  zlib-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:	%{_lib}lzo-devel
BuildRequires:	%{_lib}gcrypt-devel
BuildRequires:  %{_lib}bzip2-devel
BuildRequires:  %{_lib}openssl-devel
BuildRequires:  %{_lib}attr1-devel
Requires:       par2cmdline


%description
DAR is a command line tool to backup a directory tree and files. DAR is
able to make differential backups, split them over a set of disks or files
of a given size, use compression, filter files or subtrees to be saved or
not saved, directly access and restore given files. DAR is also able
to handle extented attributes, and can make remote backups through an
ssh session for example. Finally, DAR handles save and restore of hard
and symbolic links.

%package -n %libname
Group:      System/Libraries
Summary:    Library providing support for the DAR API

%description -n %libname
Common library code for DAR.

%package -n %develname
Group:      Development/Libraries
Summary:    Development files for libdar
Requires:   %libname = %{version}-%{release}

%description -n %develname
This package contains the header files and libraries for developing
programs that use the DAR API (libdar).


%prep
%setup -q

%build


%configure2_5x --disable-build-html --disable-static

# Remove Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

%find_lang %{name}

# Remove 
rm -f  $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/%{_datadir}/dar/
rm -f doc/Makefile*
rm -f doc/*/Makefile*

mv doc html
chmod 0644 html/samples/*


%clean
rm -rf $RPM_BUILD_ROOT


%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc html/ AUTHORS ChangeLog COPYING NEWS README THANKS TODO 
%{_bindir}/%{name}
%{_bindir}/%{name}_cp
%{_bindir}/%{name}_manager
%{_bindir}/%{name}_slave
%{_bindir}/%{name}_xform
%{_sysconfdir}/darrc
%{_mandir}/man1/*

%files -n %libname
%defattr(-,root,root,-)
%_libdir/*.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/

%changelog
* Sun Sep 10 2017 adrianomorselli <adrianomorselli> 2.4.11-2uplos2017
- rebuild against new libgcrypt
